Soru Hata: Eclipse m2e Yükleme


Eclipse için Maven Integration'ı yüklemeyi denedim ve bu hataları aldım.

    Cannot complete the install because one or more required items could not be found.
  Software being installed: m2e - slf4j over logback logging (Optional) 1.4.0.20130601-0317 (org.eclipse.m2e.logback.feature.feature.group 1.4.0.20130601-0317)
  Missing requirement: Maven Integration for Eclipse 1.4.0.20130601-0317 (org.eclipse.m2e.core.ui 1.4.0.20130601-0317) requires 'bundle org.slf4j.api 1.6.2' but it could not be found
  Cannot satisfy dependency:
    From: m2e logback appender 1.4.0.20130601-0317 (org.eclipse.m2e.logback.appender 1.4.0.20130601-0317)
    To: bundle org.eclipse.m2e.core.ui [1.4.0,1.5.0)
  Cannot satisfy dependency:
    From: m2e - slf4j over logback logging (Optional) 1.4.0.20130601-0317 (org.eclipse.m2e.logback.feature.feature.group 1.4.0.20130601-0317)
    To: org.eclipse.m2e.logback.appender [1.4.0.20130601-0317]

Benim süreç Yardım oldu> EclipseMarketplace >> Arama "Eclipse için Maven Entegrasyonu" >> Install (m2e)

Lütfen yardım et.

Düzenle

Çok sayıda konuya girdikten sonra, Eclipse Indigo 3.6.2'yi kaldırmak ve Indigo 3.7'yi (şu anda çalışmakta olduğum şirketin standartları uyarınca) yüklemek için karar verildi. Bu eylemi gerçekleştirdikten sonra, kurulumlarla ilgili tüm sorunlar (maven ve diğer) çözüldü.


76
2018-06-27 20:21


Menşei


Bir kurulum rutininin deterministik olmasını beklerdim. Öyleyse, aynı yazılımı tekrar aynı yükleyiciye kurmaya nasıl yardım edebilirim? - Peter Wippermann
Bize anlatabilirseniz, bu dosyaları nereden edindiniz? - Peter Wippermann
Merhaba @PeterWippermann, başlangıçta bir iş arkadaşından dosyaları aldım, bu başlangıçta sorunları çözdü ama sonradan ek sorunlara neden oldu. Gönderiyi (umarım) nihai çözümle düzenledim. - Rachel_Franz
Güncelleme için çok teşekkür ederim! :-) - Peter Wippermann


Cevaplar:


Bugün benzer bir soruna rastladım ve bu sorunun da yakın zamanda sorulup cevaplandırıldığını gördüm. atlassian forum de. Benim çözümüm, yönergeleri temel alarak slf4j'yi yüklemek oldu bu blog gönderisinden hakkında "Eclipse Eklentilerinde SLF4J Kaydı".

Ayıklamak için yaptığım şey:

  1. Eclipse -> Yardım -> Yeni Yazılımı Kur
  2. Yeni bir yazılım sitesi ekle:
  3. "Maven osgi-bundles" öğesini genişletin ve "slf4j-api" yi seçin
  4. "İleri" ye tıklayın ve kurulumu takip edin.

Yükleme tamamlandıktan sonra (ve Eclipse yeniden başlatıldı) daha sonra maven eklentisini kurabiliyordum.

GÜNCELLEŞTİRME:

Bu iş parçasındaki diğer yanıtların bazıları artık resmi paket depolarına bağlantılar içermektedir. Çalışıyorlarsa test etmedim, ancak resmi bir depo kullanmayı tercih ederseniz, şimdi onları nerede bulacağınızı biliyorsunuz :)


122
2017-08-01 12:25



FIY, Kepler ile m2e kurmaya çalışıyordum ve bana hata veriyordu. Onun yerine eclipse juno ile çalıştım ve bu talimatı takip ettim. Ve çalıştı - Susie
Benim için çalışıyor. Teşekkürler - Luna Kong
Eclipse Helios ile çalışır, aşağıdaki sürüm bilgisi: Sürüm: Helios Service Release 2 Build id: 20110218-0911 - realPK
Bu gölgeli görünen siteye kim ev sahipliği yapıyor? fuin.org/p2-repository Bir "resmi" SLF4J sitesi gibi görünmüyor. Rasgele bir siteden jar dosyaları şirket ağına indiriliyor mu? Hmm - User
@Perce Eh, sitenin en iyi görünen değil, About bölüm ve Blog o (ve hangi fuin.org'a geri dönersiniz) bağlantı bana Tamam görünüyor. Ayrıca fuin.org açık github Çok fazla katkıyla. Son olarak, slf4j.api_1.6.6.jar'in (fuin.org'dan) MD5 karmalarını karşılaştırırsanız Becerikli - Bunların eşit olduğunu göreceksiniz. Yani evet, bu resmi bir repo olmasa da, bu gözlemlere dayanarak bana yasal görünüyor. - Lasse Christiansen


Yazılım güncelleme sitesini aşağıdaki gibi kullanın: http://download.eclipse.org/technology/m2e/releases/1.0 Bu benim için çalıştı ve aynı hata mesajı ile kaçtı.


26
2017-08-09 14:31



Gönderdiğiniz için teşekkürler, güncelleme sitesini buldum download.eclipse.org/technology/m2e/releases/1.3 ayrıca hiçbir sorun olmadan çalışır. - Bryan
28 Temmuz 2014 itibarıyla güncellenmesi, 1.3'te biten URL hala çalışıyor - Suirtimed


Plugin ekibi m2e 1.4 & Eclipse Indigo için bir düzeltme yarattı (bu hassasiyetle: Indigo artık m2e için resmi olarak desteklenmiyor):

P2 deposu: http://download.eclipse.org/technology/m2e/releases-for-indigo/1.4/

Referans : m2e-kullanıcılar posta listesi


20
2017-09-11 14:44



Görünüşe göre bu URL artık güncel değil, 404 değerini döndürüyor - Michael Zilbermann
Link çalışıyor. 404 dönüşü de doğru. Tutulmanın ne demeye çalıştığını anlamak için bana biraz zaman harcadım. Bu bir sayfa değil, bir p2 repo. İçeriği görmek için tıklayın Show Directory Contents. İçinde ne olduğunu görmek için bağlantı. - Vadimo


Helios'u kullanarak bu depoyu Maven Entegrasyonu için Eclipse'i sorunsuz bir şekilde indirdim.

http://download.eclipse.org/technology/m2e/releases/1.3


10
2017-10-30 17:38



juno için de çalıştı. - Jimmy


Yani eclipse / plugins eksik "org.slf4j.api_1.6.4.v20120130-2120.jar", bu nedenle eclipse / plugins dosyasını kopyalamak gerekir!


6
2017-07-01 14:23





Ubuntu 13.04, Eclipse 3.8.1. Adım 3 için tüm yapmanız gereken ana juno indirme sitesini eklemek oldu: http://download.eclipse.org/releases/juno ve m2e oradan yüklenebilir.


5
2018-01-06 17:05





Eclipse Indigo kullanıyorsanız - Birçok dosya eksik gibi görünüyor. Eclipse Kepler indirirseniz Indigo eksik dosyaları var gibi görünüyor. Geçiş önerebilir.


3
2017-07-09 18:26